Bug 219146 - RFE: version of pgf in teTeX is very old
RFE: version of pgf in teTeX is very old
Product: Fedora
Classification: Fedora
Component: tetex (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jindrich Novy
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2006-12-11 10:13 EST by Joel Uckelman
Modified: 2013-07-02 19:19 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-06 13:09:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Joel Uckelman 2006-12-11 10:13:43 EST
Description of problem:

Version 0.65 of pgf is packaged with teTeX; the current version of pgf (1.10) is
two years newer and has far more features. It would be nice if the packages
bundled with teTeX were more up-to-date.

Version-Release number of selected component (if applicable):

Comment 1 Joel Uckelman 2007-11-20 13:58:19 EST
So, I imagine this will be fixed in Fedora 9 when we switch to TeXLive?
Comment 2 Jindrich Novy 2007-11-21 05:53:49 EST
Yup, there is pgf-0.96 in the TeXLive 2007. Do you think 1.10 comes with
substantial fixes that is worth update from 0.96 to 1.10?
Comment 3 Joel Uckelman 2007-11-21 06:39:46 EST
There are a lot of differences between 0.96 and 1.10---enough that source people
who use newer version of pgf doesn't work at all with 0.96. 

At this point, I'd go for the current version, 1.18, though. I'm a bit surprised
that TeXLive also uses such an old version of pgf. Maybe it needs to be packaged
Comment 4 Joel Uckelman 2007-11-21 06:40:39 EST
Ahem. That should read:

"There are a lot of differences between 0.96 and 1.10---enough that source FROM
people who use newer version of pgf doesn't work at all with 0.96."
Comment 5 Jindrich Novy 2008-01-28 04:27:01 EST
It looks like a reasonable argument to have it packaged separately then. If you
plan to package it, you can use, say tex-preview subpackage of emacs-auctex as a
template. Also feel free to Cc me to the review request or ask.
Comment 6 Joel Uckelman 2008-01-29 08:42:25 EST
Thanks for the suggestion, but I can't invest the time in packaging it
myself---I already have too much on my plate from development work on other
Comment 7 Bug Zapper 2008-04-04 01:11:02 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 8 Bug Zapper 2008-05-06 13:09:21 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.